cn.search() what exception thrown when queryType not recognized?

2012-01-03 18:30 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

UnsupportedQueryType exception has been removed, and I think the documentation needs to indicate which exception is thrown

when the value of queryType ("qt" actually) is not recognized.  

choices:

InvalidRequest

NotImplemented

I think InvalidRequest would be most consistent, and the service should indicate in the exception description which query types are

supported.

Subtasks:

Task # 2164: remove UnsupportedQueryType from d1_common_java Closed

History

#1 - 2012-01-06 04:38 - Dave Vieglais

- Position set to 21

#2 - 2014-10-02 17:10 - Skye Roseboom

- Status changed from New to Closed

- Start date deleted (2012-01-03)
